Name:           python-jaraco-test
Version:        5.4.0
Release:        %autorelease
Summary:        Testing support by jaraco
License:        MIT
URL:            https://github.com/jaraco/jaraco.test
Source:         %{pypi_source jaraco.test}

BuildArch:      noarch
BuildRequires:  python3-devel
# Pytest is all we need from the long list of
# testing dependencies upstream.
BuildRequires:  python3-pytest
BuildRequires:  python3-test

%global _description %{expand:
Testing support by jaraco.}

%description %_description

%package -n     python3-jaraco-test
Summary:        %{summary}
Requires:  python3-test

%description -n python3-jaraco-test %_description


%prep
%autosetup -p1 -n jaraco.test-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jaraco


%check
%pytest


%files -n python3-jaraco-test -f %{pyproject_files}
%doc README.rst

%changelog
%autochangelog
